#!/bin/sh

sync

if test $1 = "sd"; then
	# is SD mount? (exists check)
	if test "`mount | grep "/mnt/sd"`"; then
		echo "USB Storage connect from SD"
		umount /mnt/sd

		# loading modules...
		modprobe net2272
		modprobe g_file_storage file=/dev/mmcsd/disc0/disc
	fi
else
	# load settings...
	. /usr/gp2x/nandcfg.sh

	# mount real nand
	if test ! "`mount | grep "/mnt/yaffs"`"; then
		echo "Mount image directory, if not mounted..."
		mount ${IMGDIR}
	fi

	# unmount nand...
	if test "`mount | grep "/mnt/nand"`"; then
		echo "unmount nand directory, if mounted..."
		umount ${MOUNT}
	fi

	# if not exists nand image, format nand...
	if test ! -f ${IMAGE}; then
		echo "format nand image, if not exists..."
		rm -rf ${IMAGE}
		${BINDIR}/nandformat.sh

		# unmount nand...
		if test "`mount | grep "/mnt/nand"`"; then
			echo "unmount nand directory, if mounted..."
			umount ${MOUNT}
		fi
	fi

	# loading modules...
	modprobe net2272
	modprobe g_file_storage file=${IMAGE}
fi
